# $Revision: 1.32 $, $Date: 2009/04/23 19:37:06 $
#
# Conditional build:
%bcond_without	f90	# don't build Fortran 90 interface (just builtin F77)
%bcond_without	tests	# don't perform "make check"
#
Summary:	NetCDF: Network Common Data Form
Summary(pl.UTF-8):	NetCDF: obsługa wspólnego sieciowego formatu danych
Name:		netcdf
Version:	4.0.1
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.unidata.ucar.edu/pub/netcdf/%{name}-%{version}.tar.gz
# Source0-md5:	a251453c5477599f050fa4e593295186
Patch0:		%{name}-info.patch
URL:		http://www.unidata.ucar.edu/packages/netcdf/
BuildRequires:	automake
%if %{with f90}
BuildRequires:	gcc-fortran >= 5:4.0
%else
BuildRequires:	gcc-g77
%endif
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetCDF (network Common Data Form) is an interface for array-oriented
data access and a library that provides an implementation of the
interface. The netCDF library also defines a machine-independent
format for representing scientific data. Together, the interface,
library, and format support the creation, access, and sharing of
scientific data. The netCDF software was developed at the Unidata
Program Center in Boulder, Colorado.

This package contains C library.

%description -l pl.UTF-8
NetCDF (Network Common Data Form) jest interfejsem dostępu do danych
zorganizowanych w tablice. Biblioteka netCDF definiuje niezależny od
maszyny format reprezentowania danych naukowych. Interfejs oraz
biblioteka pozwalają na tworzenie, dostęp i współdzielenie danych.
NetCDF powstał w Unidata Program Center w Boulder, Colorado.

Ten pakiet zawiera bibliotekę dla C.

%package devel
Summary:	Header files for netCDF
Summary(pl.UTF-8):	Pliki nagłówkowe netCDF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for netCDF - C interface.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki netCDF - interfejs dla C.

%package static
Summary:	NetCDF - static library
Summary(pl.UTF-8):	Biblioteka statyczna netCDF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of netCDF C library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki netCDF dla C.

%package c++
Summary:	NetCDF - C++ library
Summary(pl.UTF-8):	Biblioteka C++ netCDF
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
NetCDF - C++ library.

%description c++ -l pl.UTF-8
Biblioteka C++ netCDF.

%package c++-devel
Summary:	Header files for netCDF C++ interface
Summary(pl.UTF-8):	Pliki nagłówkowe interfejsu C++ netCDF
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for netCDF C++ interface.

%description c++ -l pl.UTF-8
Pliki nagłówkowe interfejsu C++ netCDF.

%package c++-static
Summary:	NetCDF - C++ static library
Summary(pl.UTF-8):	Statyczna biblioteka C++ netCDF
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
NetCDF - C++ static library.

%description c++-static -l pl.UTF-8
Statyczna biblioteka C++ netCDF.

%package fortran
Summary:	NetCDF - Fortran library
Summary(pl.UTF-8):	Biblioteka Fortranu netCDF
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	netcdf-f90

%description fortran
NetCDF - Fortran 77%{?with f90: and 90} library.

%description fortran -l pl.UTF-8
Biblioteka Fortranu 77%{?with_f90: i 90} netCDF.

%package fortran-devel
Summary:	Header files for netCDF Fortran interface
Summary(pl.UTF-8):	Pliki nagłówkowe interfejsu Fortranu netCDF
Group:		Development/Libraries
Requires:	%{name}-fortran = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
%if %{with f90}
Requires:	gcc-fortran >= 5:4.0
%else
Requires:	gcc-g77
%endif
Obsoletes:	netcdf-f90-devel

%description fortran-devel
Header files for netCDF Fortran interface.

%description fortran-devel -l pl.UTF-8
Pliki nagłówkowe interfejsu Fortranu netCDF.

%package fortran-static
Summary:	NetCDF - Fortran static library
Summary(pl.UTF-8):	Statyczna biblioteka Fortranu netCDF
Group:		Development/Libraries
Requires:	%{name}-fortran-devel = %{version}-%{release}
Obsoletes:	netcdf-f90-static

%description fortran-static
NetCDF - Fortran static library.

%description fortran-static -l pl.UTF-8
Statyczna biblioteka Fortranu netCDF.

%prep
%setup -q
%patch0 -p1

%build
# too many hacks to rebuild
cp -f /usr/share/automake/config.* .
CPPFLAGS="-DgFortran=1"
%configure \
	FCFLAGS="%{rpmcflags}" \
	--enable-shared

# TODO (linking broken; BR: curl-devel, hdf5-devel, maybe szip-devel, libxml2-devel):
#	--enable-dap \
#	--enable-netcdf-4 \

%{__make}

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C libsrc install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%post	c++-devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	c++-devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	fortran -p /sbin/ldconfig
%postun	fortran -p /sbin/ldconfig

%post	fortran-devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	fortran-devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README RELEASE_NOTES man4/netcdf.html
%attr(755,root,root) %{_bindir}/ncdump
%attr(755,root,root) %{_bindir}/ncgen
%attr(755,root,root) %{_libdir}/libnetcdf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnetcdf.so.4
%{_mandir}/man1/ncdump.1*
%{_mandir}/man1/ncgen.1*

%files devel
%defattr(644,root,root,755)
%doc man4/netcdf-c.html
%attr(755,root,root) %{_bindir}/nc-config
%attr(755,root,root) %{_libdir}/libnetcdf.so
%{_libdir}/libnetcdf.la
%{_includedir}/netcdf.h
%{_pkgconfigdir}/netcdf.pc
%{_mandir}/man3/netcdf.3*
%{_infodir}/netcdf.info*
%{_infodir}/netcdf-c.info*
%{_infodir}/netcdf-install.info*
%{_infodir}/netcdf-tutorial.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libnetcdf.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnetcdf_c++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnetcdf_c++.so.4

%files c++-devel
%defattr(644,root,root,755)
%doc man4/netcdf-cxx.html
%attr(755,root,root) %{_libdir}/libnetcdf_c++.so
%{_libdir}/libnetcdf_c++.la
%{_includedir}/ncvalues.h
%{_includedir}/netcdf.hh
%{_includedir}/netcdfcpp.h
%{_infodir}/netcdf-cxx.info*
%{_infodir}/netcdf-cxx4.info*

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libnetcdf_c++.a

%files fortran
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnetcdff.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnetcdff.so.4

%files fortran-devel
%defattr(644,root,root,755)
%doc man4/netcdf-f77.html man4/netcdf-f90.html
%attr(755,root,root) %{_libdir}/libnetcdff.so
%{_libdir}/libnetcdff.la
%{_includedir}/netcdf.inc
%{_mandir}/man3/netcdf_f77.3*
%{_infodir}/netcdf-f77.info*
%if %{with f90}
%{_includedir}/netcdf.mod
%{_includedir}/typesizes.mod
%{_mandir}/man3/netcdf_f90.3*
%{_infodir}/netcdf-f90.info*
%endif

%files fortran-static
%defattr(644,root,root,755)
%{_libdir}/libnetcdff.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: netcdf.spec,v $
Revision 1.32  2009/04/23 19:37:06  qboosh
- updated to 4.0.1
- updated info patch

Revision 1.31  2008/11/25 10:46:43  duddits
- up to 4.0

Revision 1.30  2008/11/01 12:41:18  qboosh
- cleanup

Revision 1.29  2008/11/01 12:25:58  qboosh
- added info patch
- package info files and ghost soname symlinks

Revision 1.28  2008/10/29 18:08:06  duddits
- up to 3.6.3

Revision 1.27  2008/03/18 09:10:44  hawk
- fix make install error caused by incorrect subdir order (thx qboosh)
- release 3

Revision 1.26  2007-06-09 18:41:26  arekm
- rel 2

Revision 1.25  2007/03/19 12:50:39  qboosh
- updated to 3.6.2 (note: soname changed, separate library for fortran (both 77/90))
- removed obsolete shared patch

Revision 1.24  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.22  2006/02/05 13:43:57  qboosh
- updated to 3.6.1, updated shared patch, removed outdated makefile patch
- build f90 interface (where available) as separate library
- separated c++ and f90 libraries

Revision 1.21  2005/03/28 19:33:17  qboosh
- release 2

Revision 1.20  2005/03/28 19:33:01  qboosh
- refresh config.sub - now builds on amd64
- use standard configure, no longer 2.13-generated

Revision 1.19  2005/03/28 18:52:22  qboosh
- strict internal deps

Revision 1.18  2005/01/15 19:55:12  darekr
- updated to 3.6.0

Revision 1.17  2004/02/11 22:45:38  qboosh
- updated to 3.5.1
- updated shared patch, removed obsolete achack and c++ patches

Revision 1.16  2004/01/12 23:09:22  undefine
- use libdir to allow build on amd64, release 3

Revision 1.15  2004/01/08 09:39:39  qboosh
- updated shared patch, added achack,c++ patches; builds now

Revision 1.14  2004/01/07 21:56:32  andree
- BR: gcc-g77
- fixed docs, added TODO

Revision 1.13  2003/05/28 12:59:51  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:51:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/12/13 22:46:55  ankry
- adapterized

Revision 1.10  2002/11/25 14:17:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.9  2002/07/14 18:34:55  kloczek
- use new %doc.

Revision 1.8  2002/04/14 20:27:01  marcus
- rel.2.

Revision 1.7  2002/04/14 20:26:22  marcus
- %%configure2_13
- fix for cxx makefile
- stbr

Revision 1.6  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/13 18:56:32  qboosh
- adapterized, BuildRequires: libtool

Revision 1.3  2001/04/04 22:17:12  qboosh
- updated to 3.5.0
- use %%rpmcflags

Revision 1.2  2001/03/14 20:52:59  kloczek
- corrected Source url.

Revision 1.1  2001/03/14 17:43:08  qboosh
- spec written from scratch
